Inhalte

# Funktion GetAttr

Gibt ein Bitmuster zurück, das den Typ einer Datei, eines Verzeichnisses oder einer Datenträgerbezeichnung angibt.

## Syntax:

    GetAttr (Text As String)

## Rückgabewert:

Integer

## Parameter:

Text: Ein beliebiger Zeichenfolgenausdruck, der eine eindeutige Dateiangabe enthält. Sie können auch die URL-Schreibweise verwenden.

Diese Funktion bestimmt die Attribute einer bestimmten Datei und gibt ein Bitmuster zurück, aus dem Sie folgende Dateiattribute erkennen können:

### Fehlercodes:

5 Ungültiger Prozeduraufruf

53 Datei nicht gefunden

## Wert

Benannte Konstante | Wert | Definition
--- | --- | ---
ATTR_NORMAL | 0 | Normale Dateien.
ATTR_READONLY | 1 | Schreibgeschützte Dateien.
ATTR_HIDDEN | 2 | Versteckte Dateien
ATTR_SYSTEM | 4 | Systemdateien
ATTR_VOLUME | 8 | Der Name des Laufwerks wird zurückgegeben.
ATTR_DIRECTORY | 16 | Nur der Verzeichnisnamen werden zurückgegeben.
ATTR_ARCHIVE | 32 | Die Datei wurde seit dem letzten Backup geändert (Archive-Bit).

Um zu erfahren, ob ein bestimmtes Bit des Attributbytes gesetzt ist, verwenden Sie folgende Abfragemethode:

## Beispiel:

    Sub ExampleSetGetAttr
    On Error GoTo ErrorHandler ' Sprungziel für Fehlerbehandlung definieren
     If Dir("C:\test",16)="" Then MkDir "C:\test"
     If Dir("C:\test\autoexec.sav")="" Then FileCopy "c:\autoexec.bat", "c:\test\autoexec.sav"
     SetAttr "c:\test\autoexec.sav" ,0
     FileCopy "c:\autoexec.bat", "c:\test\autoexec.sav"
     SetAttr "c:\test\autoexec.sav" ,1
     Print GetAttr( "c:\test\autoexec.sav" )
     End
    ErrorHandler:
     Print Error
     End
    End Sub